# ZARAHOME 2.0


from categories import get_categories
from xlsx_recorder import Recorder
from requester import get_parser
from extractor import get_extractor

def main():
    recorder = Recorder()

    try:
        extractor = get_extractor()
    except:
        raise Exception("Error: parse_settings")

    try:
        parser = get_parser()
    except:
        raise Exception("Error: request_settings")

    categories = get_categories()

    extractor.extract(parser, recorder, categories)

if __name__ == "__main__":
    main()